aboutsummaryrefslogtreecommitdiff
path: root/dist/vim-plugin.sh
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2017-11-19 23:43:53 +1300
committerTom Ryder <tom@sanctum.geek.nz>2017-11-19 23:43:53 +1300
commit062274de75e25ad96f52d39e17844048003b90dc (patch)
tree093c2479feb70548882938177d0edb95d47056e9 /dist/vim-plugin.sh
parentMerge branch 'hotfix/v0.17.2' (diff)
parentRebuild dotfiles(7) manual from README.md (diff)
downloaddotfiles-0.18.0.tar.gz (sig)
dotfiles-0.18.0.zip
Merge branch 'release/v0.18.0'v0.18.0
* release/v0.18.0: Rebuild dotfiles(7) manual from README.md Bump version number to 0.18.0 Use %:S expansion only when available Force g:current_compiler removal before check/lint Use quickfix window for check/lint Add vim/compiler scripts to vint targets Use :compiler quickfix systems for Vim/HTML lint Use :compiler scripts for makeprg setup Add :lwindow support to Perl check/lint Adapt sh check/lint to use :lmake Remove 'shellpipe' setting Use single-quotes for strings in sh.vim Use full word "syntax" in sh.vim Coax sh.vim into accepting #/% param expansion Mention the Vim plugin dist target in README.md Add Makefile targets for Vim plugin dists
Diffstat (limited to 'dist/vim-plugin.sh')
-rw-r--r--dist/vim-plugin.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/dist/vim-plugin.sh b/dist/vim-plugin.sh
new file mode 100644
index 00000000..0f549be4
--- /dev/null
+++ b/dist/vim-plugin.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+ver=$(awk -Fv 'NR<2&&$0=$NF' VERSION) || exit
+mkdir -p -- vim/dist || exit
+cd -- vim/dist || exit
+for pn ; do
+ dn=vim-$(printf '%s' "$pn"|sed 's/_/-/g')-$ver
+ mkdir -p -- "$pn"
+ for fn in ../*/"$pn".txt ../*/"$pn".vim ; do
+ [ -e "$fn" ] || continue
+ sdn=$fn
+ sdn=${sdn#../}
+ sdn=${sdn%/*}
+ mkdir -p -- "$pn"/"$sdn"
+ cp -- "$fn" "$pn"/"$sdn"
+ done
+ tar c "$pn" | gzip > "$dn".tar.gz || exit
+ rm -r -- "$pn"
+done